RIO_REQUEST_INB_DB(9)

NAME
rio_request_inb_dbell - request inbound doorbell message service

SYNOPSIS

int rio_request_inb_dbell (struct rio_mport * mport, void * dev_id, u16 start, u16 end, void (*dinb) <funcparams>struct rio_mport * mport, void *dev_id, u16 src, u16 dst, u16 info</funcparams>);

ARGUMENTS

mport
    RIO master port from which to allocate the doorbell resource

dev_id
    Device specific pointer to pass on event

start
    Doorbell info range start

end Doorbell info range end

dinb
    Callback to execute when doorbell is received

DESCRIPTION

Requests ownership of an inbound doorbell resource and binds a callback function to the resource. Returns 0 if the request has been satisfied.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.